//
//  GMLegendController.h
//  GIS
//
//  Created by Hamza Haroon on 12-09-06.
//  Copyright (c) 2012 Aecom. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "GMLegendDataSource.h"
#import <ArcGIS/ArcGIS.h>

@protocol legendDelegate;

@interface GMLegendController : UITableViewController <AGSLayerDelegate>
{
    NSMutableArray *legendInformation;
    NSMutableArray *legendInformation1;
    int currentLayerID;
}

@property (nonatomic, retain) IBOutlet UITableView* legendTableView;
@property (nonatomic,retain) NSMutableArray* legendInfotodisplay;
@property (nonatomic,retain) GMLegendDataSource* legendDataSource;
@property (nonatomic, retain) UISwitch *transparencySwitch;
@property (strong, nonatomic) NSMutableArray *indexSet;
@property (nonatomic, retain) AGSDynamicMapServiceLayer *dynamicLayer;
@property (nonatomic, retain) id<legendDelegate> delegate;


@end

@protocol legendDelegate

-(void)reloadMap:(NSMutableArray*)hiddenIcons;

@end
